> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.glideapps.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Row by ID

> Gets a single row from a Big Table by row ID



## OpenAPI

````yaml get /tables/{tableID}/rows/{rowID}
openapi: 3.0.0
info:
  title: ''
  version: 0.0.1
servers:
  - description: Production
    url: https://api.glideapps.com
security:
  - BearerAuth: []
tags: []
paths:
  /tables/{tableID}/rows/{rowID}:
    get:
      description: Gets a single row from a Big Table by row ID
      parameters:
        - name: tableID
          in: path
          schema:
            type: string
            description: ID of the table, e.g., `2a1bad8b-cf7c-44437-b8c1-e3782df6`
            example: 2a1bad8b-cf7c-44437-b8c1-e3782df6
          required: true
        - name: rowID
          in: path
          schema:
            type: string
            description: ID of the row, e.g., `zcJWnyI8Tbam21V34K8MNA`
            example: zcJWnyI8Tbam21V34K8MNA
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: {}
                    description: "A row object conforming to the schema of the table, where keys are the column IDs and values are the column values:\n\n```json\n{\n\t\"fullName\": \"Alex Bard\",\n\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\"totalAmount\": 34.50,\n\t\"amountPaid\": 0\n}\n```"
                    example:
                      fullName: Alex Bard
                      invoiceDate: '2024-07-29T14:04:15.561Z'
                      totalAmount: 34.5
                      amountPaid: 0
                required:
                  - data
                additionalProperties: false
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '402':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - payment_required
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - table_not_found
                          - table_not_big_table
                          - row_not_found
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth
        token](/api-reference/v2/general/authentication).

````